# log

### 数据结构

| log_type（维护在数据字典中） |      |      |      |
| ---------------------------- | ---- | ---- | ---- |
|                              |      |      |      |



| log_data   |                    |              |                                  |
| ---------- | ------------------ | ------------ | -------------------------------- |
| 字段       | 字段说明           | 数据类型     | 备注                             |
| id         | 主键（无业务含义） | varchar(20)  | id全局唯一，命名规则：“Log+UUID” |
| name       | 日志名称           | varchar(40)  |                                  |
| type_name  | 日志类型名称       | varchar(40)  |                                  |
| type_code  | 日志类型编码       | varchar(40)  |                                  |
| value      | json格式保存       | json         |                                  |
| belong_sys | 日志归属应用       | varchar(40)  |                                  |
| create_by  | 操作人或系统       | varchar(40)  |                                  |
| remark     | 备注               | varchar(200) |                                  |



### 保存

```json
{
  "name": "",
  "typeName": "",
  "typeCode": "",
  "belongSys": "",
  "createBy": "",
  "remark": "",
  "value": [
    {
      // 日志内容
      "header": "",
      "body": ""
    }
  ]
}
```

各业务系统的日志按上述字段格式写入kafka中，由数据中台进行消息的监听和消费，并写入hbase中。